Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream
Class XMLStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.stream.XMLStreamException

All Implemented Interfaces:
  Serializable

    public class XMLStreamException

extends Exception

The base exception for unexpected processing errors. This Exception class is used to report well-formedness errors as well as unexpected processing conditions.

Since:
  1.6
See Also:
  Serialized Form

Field Summary
`protected Location` | `location`
`protected Throwable` | `nested`

Constructor Summary
`XMLStreamException()` Default constructor
`XMLStreamException(String msg)` Construct an exception with the assocated message.
`XMLStreamException(String msg, Location location)` Construct an exception with the assocated message, exception and location.
`XMLStreamException(String msg, Location location, Throwable th)` Construct an exception with the assocated message, exception and location.
`XMLStreamException(String msg, Throwable th)` Construct an exception with the assocated message and exception
`XMLStreamException(Throwable th)` Construct an exception with the assocated exception

Method Summary
`Location` | `getLocation()` Gets the location of the exception
`Throwable` | `getNestedException()` Gets the nested exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nested

    protected Throwable nested

### location

    protected Location location

Constructor Detail

### XMLStreamException

    public XMLStreamException()

  Default constructor

### XMLStreamException

    public XMLStreamException(String msg)

  Construct an exception with the assocated message.

  Parameters:
    `msg` - the message to report

### XMLStreamException

    public XMLStreamException(Throwable th)

  Construct an exception with the assocated exception

  Parameters:
    `th` - a nested exception

### XMLStreamException

    public XMLStreamException(String msg,
                              Throwable th)

  Construct an exception with the assocated message and exception

  Parameters:
    `th` - a nested exception
    `msg` - the message to report

### XMLStreamException

    public XMLStreamException(String msg,
                              Location location,
                              Throwable th)

  Construct an exception with the assocated message, exception and location.

  Parameters:
    `th` - a nested exception
    `msg` - the message to report
    `location` - the location of the error

### XMLStreamException

    public XMLStreamException(String msg,
                              Location location)

  Construct an exception with the assocated message, exception and location.

  Parameters:
    `msg` - the message to report
    `location` - the location of the error

Method Detail

### getNestedException

    public Throwable getNestedException()

  Gets the nested exception.

  Returns:
    Nested exception

### getLocation

    public Location getLocation()

  Gets the location of the exception

  Returns:
    the location of the exception, may be null if none is available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.